// BemStreamView.h : interface of the CBemStreamView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BEMSTREAMVIEW_H__D0F571EF_2718_11D3_AB1D_C28AB2B45E0B__INCLUDED_)
#define AFX_BEMSTREAMVIEW_H__D0F571EF_2718_11D3_AB1D_C28AB2B45E0B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class CZoomView;

class CBemStreamView : public CZoomView
{
protected: // create from serialization only
	CBemStreamView();
	DECLARE_DYNCREATE(CBemStreamView)

// Attributes
public:
	CBemStreamDoc* GetDocument();

// Operations
public:
	int LBut,nstw,iscz,iscc;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBemStreamView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBemStreamView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBemStreamView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnZoomIn();
	afx_msg void OnZoomOut();
	afx_msg void OnZoomFull();
	afx_msg void OnUpdateZoomIn(CCmdUI* pCmdUI);
	afx_msg void OnUpdateZoomOut(CCmdUI* pCmdUI);
	afx_msg void OnStrPoint();
	afx_msg void OnUpdateStrPoint(CCmdUI* pCmdUI);
	afx_msg void OnStrWell();
	afx_msg void OnUpdateStrWell(CCmdUI* pCmdUI);
	afx_msg void OnTime();
	afx_msg void OnViewTime();
	afx_msg void OnUpdateViewTime(CCmdUI* pCmdUI);
	afx_msg void OnOpenStream();
	afx_msg void OnViewStamp();
	afx_msg void OnUpdateViewStamp(CCmdUI* pCmdUI);
	afx_msg void OnFormatFont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BemStreamView.cpp
inline CBemStreamDoc* CBemStreamView::GetDocument()
   { return (CBemStreamDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BEMSTREAMVIEW_H__D0F571EF_2718_11D3_AB1D_C28AB2B45E0B__INCLUDED_)
